1

Тема: Как обновить QLUA??

Брокер не обновляет QUIK на своих серверах.
Я читаю об изменениях в QLUA и мне нужны некоторые новые возможности.
Кто-то знает, можно обновить только Lua в Quik? или надо обновлять весь терминал? должен ли брокер для этого обновить сервер? а если не заработает новый терминал?

2 (2013-07-03 22:59:34 отредактировано admin)

Re: Как обновить QLUA??

Весь интерпретатор Lua в QUIK сосредоточен в плагине qlua.dll
Пока что он вроде совместим со всеми версиями терминала, судя по сообщениям на форуме Quik, так что можно обновить отдельно только этот плагин для получения новых возможностей.

Сделать это можно просто подложив файл  qlua.dll из более новых версий QUIK.
Скачать их можно с сайта разработчика, ссылки есть в  теме про новые версии QUIK.

Либо отдельно скачать архив с qlua.dll с этого сайта (версия qlua.dll 1.2.0.21 от QUIK версии 6.7.3.2). Уточнение: по информации с форума Arqa эта версия qlua.dll подходит к QUIK 6.6 и выше.

Впринципе, сейчас скачивать QUIK с "левых сайтов" не так страшно, т.к. Arqa наконец-то стала подписывать все компоненты терминала. Т.е. после скачивания надо просто убедиться, что файл подписан:

https://quik2dde.ru/static-img/57/prop-qlua.png https://quik2dde.ru/static-img/57/sign-qlua.png https://quik2dde.ru/static-img/57/cert-qlua.png